// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "BoxCollider.hpp"

using namespace Dawn;

std::shared_ptr<JPH::ShapeSettings> BoxCollider::getShapeSettings() {
  return std::make_shared<JPH::BoxShapeSettings>(
    JPH::Vec3(shape.x, shape.y, shape.z)
  );
}