// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "Collider.hpp"

namespace Dawn {
  class BoxCollider : public Collider {
    protected:
      std::shared_ptr<JPH::ShapeSettings> getShapeSettings() override;

    public:
      glm::vec3 shape = glm::vec3(1, 1, 1);
  };
}